<?php

$kindergarten_playgroup_tp_theme_css = '';

//theme color
$kindergarten_playgroup_tp_color_option = get_theme_mod('kindergarten_playgroup_tp_color_option');

// 1st color
$kindergarten_playgroup_tp_color_option = get_theme_mod('kindergarten_playgroup_tp_color_option', '#ff7248');
if ($kindergarten_playgroup_tp_color_option) {
	$kindergarten_playgroup_tp_theme_css .= ':root {';
	$kindergarten_playgroup_tp_theme_css .= '--color-primary1: ' . esc_attr($kindergarten_playgroup_tp_color_option) . ';';
	$kindergarten_playgroup_tp_theme_css .= '}';
}

// 2nd color
$kindergarten_playgroup_tp_secoundary_color_option = get_theme_mod('kindergarten_playgroup_tp_secoundary_color_option','#166e83');
if ($kindergarten_playgroup_tp_secoundary_color_option) {
	$kindergarten_playgroup_tp_theme_css .= ':root {';
	$kindergarten_playgroup_tp_theme_css .= '--color-primary2: ' . esc_attr($kindergarten_playgroup_tp_secoundary_color_option) . ';';
	$kindergarten_playgroup_tp_theme_css .= '}';
}

//preloader

$kindergarten_playgroup_tp_preloader_color1_option = get_theme_mod('kindergarten_playgroup_tp_preloader_color1_option');
$kindergarten_playgroup_tp_preloader_color2_option = get_theme_mod('kindergarten_playgroup_tp_preloader_color2_option');
$kindergarten_playgroup_tp_preloader_bg_color_option = get_theme_mod('kindergarten_playgroup_tp_preloader_bg_color_option');

if($kindergarten_playgroup_tp_preloader_color1_option != false){
$kindergarten_playgroup_tp_theme_css .='.center1{';
	$kindergarten_playgroup_tp_theme_css .='border-color: '.esc_attr($kindergarten_playgroup_tp_preloader_color1_option).' !important;';
$kindergarten_playgroup_tp_theme_css .='}';
}
if($kindergarten_playgroup_tp_preloader_color1_option != false){
$kindergarten_playgroup_tp_theme_css .='.center1 .ring::before{';
	$kindergarten_playgroup_tp_theme_css .='background: '.esc_attr($kindergarten_playgroup_tp_preloader_color1_option).' !important;';
$kindergarten_playgroup_tp_theme_css .='}';
}
if($kindergarten_playgroup_tp_preloader_color2_option != false){
$kindergarten_playgroup_tp_theme_css .='.center2{';
	$kindergarten_playgroup_tp_theme_css .='border-color: '.esc_attr($kindergarten_playgroup_tp_preloader_color2_option).' !important;';
$kindergarten_playgroup_tp_theme_css .='}';
}
if($kindergarten_playgroup_tp_preloader_color2_option != false){
$kindergarten_playgroup_tp_theme_css .='.center2 .ring::before{';
	$kindergarten_playgroup_tp_theme_css .='background: '.esc_attr($kindergarten_playgroup_tp_preloader_color2_option).' !important;';
$kindergarten_playgroup_tp_theme_css .='}';
}
if($kindergarten_playgroup_tp_preloader_bg_color_option != false){
$kindergarten_playgroup_tp_theme_css .='.loader{';
	$kindergarten_playgroup_tp_theme_css .='background: '.esc_attr($kindergarten_playgroup_tp_preloader_bg_color_option).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

// footer-bg-color
$kindergarten_playgroup_tp_footer_bg_color_option = get_theme_mod('kindergarten_playgroup_tp_footer_bg_color_option');

if($kindergarten_playgroup_tp_footer_bg_color_option != false){
$kindergarten_playgroup_tp_theme_css .='#footer{';
	$kindergarten_playgroup_tp_theme_css .='background: '.esc_attr($kindergarten_playgroup_tp_footer_bg_color_option).' !important;';
$kindergarten_playgroup_tp_theme_css .='}';
}

// logo tagline color
$kindergarten_playgroup_site_tagline_color = get_theme_mod('kindergarten_playgroup_site_tagline_color');

if($kindergarten_playgroup_site_tagline_color != false){
$kindergarten_playgroup_tp_theme_css .='.logo h1 a, .logo p, .logo p.site-title a{';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_site_tagline_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

$kindergarten_playgroup_logo_tagline_color = get_theme_mod('kindergarten_playgroup_logo_tagline_color');
if($kindergarten_playgroup_logo_tagline_color != false){
$kindergarten_playgroup_tp_theme_css .='p.site-description{';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_logo_tagline_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

// footer widget title color
$kindergarten_playgroup_footer_widget_title_color = get_theme_mod('kindergarten_playgroup_footer_widget_title_color');
if($kindergarten_playgroup_footer_widget_title_color != false){
$kindergarten_playgroup_tp_theme_css .='#footer h3{';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_footer_widget_title_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

// copyright text color
$kindergarten_playgroup_footer_copyright_text_color = get_theme_mod('kindergarten_playgroup_footer_copyright_text_color');
if($kindergarten_playgroup_footer_copyright_text_color != false){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_footer_copyright_text_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

// header image title color
$kindergarten_playgroup_header_image_title_text_color = get_theme_mod('kindergarten_playgroup_header_image_title_text_color');
if($kindergarten_playgroup_header_image_title_text_color != false){
$kindergarten_playgroup_tp_theme_css .='.box-text h2{';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_header_image_title_text_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

// menu color
$kindergarten_playgroup_menu_color = get_theme_mod('kindergarten_playgroup_menu_color');
if($kindergarten_playgroup_menu_color != false){
$kindergarten_playgroup_tp_theme_css .='.main-navigation a{';
$kindergarten_playgroup_tp_theme_css .='color: '.esc_attr($kindergarten_playgroup_menu_color).';';
$kindergarten_playgroup_tp_theme_css .='}';
}

//Footer Font Weight
$kindergarten_playgroup_footer_copyright_title_font_weight = get_theme_mod( 'kindergarten_playgroup_footer_copyright_title_font_weight','');
if($kindergarten_playgroup_footer_copyright_title_font_weight == '100'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 100;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '200'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 200;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '300'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 300;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '400'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 400;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '500'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 500;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '600'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 600;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '700'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 700;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '800'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 800;';
$kindergarten_playgroup_tp_theme_css .='}';
}else if($kindergarten_playgroup_footer_copyright_title_font_weight == '900'){
$kindergarten_playgroup_tp_theme_css .='#footer .site-info p {';
    $kindergarten_playgroup_tp_theme_css .='font-weight: 900;';
$kindergarten_playgroup_tp_theme_css .='}';
}